/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.projectcontentinfo.entity;


import com.jeeplus.common.persistence.TreeEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.projectrecord.entity.ProjectRecords;
import com.jeeplus.modules.sys.entity.Workattachment;

import java.util.List;

/**
 * 工作内容管理Entity
 * @author yangfan
 * @version 2018-06-04
 */
public class Projectcontentinfo extends TreeEntity<Projectcontentinfo> {
	
	private static final long serialVersionUID = 1L;
	private ProjectRecords project;		// 项目id
	private String companyId;		// 公司id
	private String officeId;		// 部门id
	private String name;		// 名称
	private String type;		// 类型
	private String dictType;		// 字典类型
	private String infoId; //详情页id
	private ProjectBasedData projectBasedData;
	private ProjectContentData projectContentData;
	private ProjectReportData projectReportData;
	private String view;
	private List<Workattachment> workAttachments;
	private String edit;
	private String linkId;//引用ID
	private String home;
	private String change;

	public Projectcontentinfo() {
		super();
	}

	public Projectcontentinfo(String id){
		super(id);
	}

	@Override
	public Projectcontentinfo getParent() {
		return parent;
	}

	@Override
	public void setParent(Projectcontentinfo parent) {
		this.parent = parent;
	}

	@ExcelField(title="项目id", align=2, sort=10)
	public ProjectRecords getProject() {
		return project;
	}

	public void setProject(ProjectRecords project) {
		this.project = project;
	}
	
	@ExcelField(title="公司id", align=2, sort=11)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	
	@ExcelField(title="部门id", align=2, sort=12)
	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	
	@ExcelField(title="名称", align=2, sort=13)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getDictType() {
		return dictType;
	}

	public void setDictType(String dictType) {
		this.dictType = dictType;
	}

	public String getInfoId() {
		return infoId;
	}

	public void setInfoId(String infoId) {
		this.infoId = infoId;
	}

	public ProjectBasedData getProjectBasedData() {
		return projectBasedData;
	}

	public void setProjectBasedData(ProjectBasedData projectBasedData) {
		this.projectBasedData = projectBasedData;
	}

	public ProjectContentData getProjectContentData() {
		return projectContentData;
	}

	public void setProjectContentData(ProjectContentData projectContentData) {
		this.projectContentData = projectContentData;
	}

	public ProjectReportData getProjectReportData() {
		return projectReportData;
	}

	public void setProjectReportData(ProjectReportData projectReportData) {
		this.projectReportData = projectReportData;
	}

	public String getView() {
		return view;
	}

	public void setView(String view) {
		this.view = view;
	}

	public List<Workattachment> getWorkAttachments() {
		return workAttachments;
	}

	public void setWorkAttachments(List<Workattachment> workAttachments) {
		this.workAttachments = workAttachments;
	}

	public String getEdit() {
		return edit;
	}

	public void setEdit(String edit) {
		this.edit = edit;
	}

    public String getLinkId() {
        return linkId;
    }

    public void setLinkId(String linkId) {
        this.linkId = linkId;
    }

	public String getHome() {
		return home;
	}

	public void setHome(String home) {
		this.home = home;
	}

	public String getChange() {
		return change;
	}

	public void setChange(String change) {
		this.change = change;
	}
}